#ifndef DLG_SAMPLING_RESOLUTION_H
#define DLG_SAMPLING_RESOLUTION_H

#include <QDialog>
#include "ui_dlg_down_sampling.h"


class MainWindow;

class DlgDownSampling : public QDialog, public Ui::DlgDownSampling
{
	Q_OBJECT

public:
	DlgDownSampling(QWidget *parent = 0);
	~DlgDownSampling();

private slots:
	void preview();
	void apply();

private:
	MainWindow*		mainWindow_;
};

#endif // DLG_SAMPLING_RESOLUTION_H
